summaryrefslogtreecommitdiff
path: root/src/auditor/test-auditor.sh
diff options
context:
space:
mode:
Diffstat (limited to 'src/auditor/test-auditor.sh')
-rwxr-xr-xsrc/auditor/test-auditor.sh14
1 files changed, 14 insertions, 0 deletions
diff --git a/src/auditor/test-auditor.sh b/src/auditor/test-auditor.sh
new file mode 100755
index 000000000..a493683ea
--- /dev/null
+++ b/src/auditor/test-auditor.sh
@@ -0,0 +1,14 @@
+#!/bin/bash
+set -eu
+DB=taler-auditor-test
+dropdb $DB || true
+createdb -T template0 $DB || exit 77
+psql $DB < ../benchmark/auditor-basedb.sql
+MASTER_PUB=`cat ../benchmark/auditor-basedb.mpub`
+
+taler-auditor -c test-auditor.conf -m $MASTER_PUB > test-audit.json
+
+# TODO: check test-audit.json matches expectations
+
+dropdb $DB
+